Crashpad

Public Attributes | List of all members
crashpad::MinidumpModuleCrashpadInfoList Struct Reference

Additional Crashpad-specific information about modules carried within a minidump file. More...

`#include "minidump/minidump_extensions.h"`

## Public Attributes
uint32_t | count
| The number of children present in the modules array.
MinidumpModuleCrashpadInfoLink | modules [0]
| Crashpad-specific information about modules, along with links to MINIDUMP_MODULE structures that contain module information traditionally carried within minidump files.

## Detailed Description

Additional Crashpad-specific information about modules carried within a minidump file.

This structure augments the information provided by MINIDUMP_MODULE_LIST. The minidump file must contain a module list stream (kMinidumpStreamTypeModuleList) in order for this structure to appear.

MinidumpModuleCrashpadInfoList::count may be less than the value of MINIDUMP_MODULE_LIST::NumberOfModules because not every MINIDUMP_MODULE structure carried within the minidump file will necessarily have Crashpad-specific information provided by a MinidumpModuleCrashpadInfo structure.

The documentation for this struct was generated from the following file:

- minidump/minidump_extensions.h